Trusted by the world’s leading companies
Übersicht
Das React TreeGrid ist eine funktionsreiche Komponente zur effektiven Visualisierung selbstreferenzieller, hierarchischer Daten in tabellarischer Form (baumartige Struktur). Zu den zahlreichen Funktionen gehören Datenbindung, Virtualisierung, Bearbeitung, Sortierung, Suche, Filterung, unendliches Scrollen, Paginierung, gefrorene Zeilen und Spalten, Export in verschiedene Formate, Aggregation von Zeilen und mehr.
Interagieren Sie mit dem Live React TreeGrid
Läuft im Browser. Keine Installation erforderlich.
Warum das Syncfusion® React TreeGrid wählen?
Hohe Leistung
Daten hierarchisch anzeigen. Das optimierte Design der Komponente bietet hohe Leistung, um Millionen von Datensätzen laden in nur wenigen Sekunden zu laden.
Nahtlose Datenbindung
Binden Sie Daten an verschiedene lokale und entfernte Datenquellen wie JSON, OData, WCF und RESTful-Webdienste mithilfe eines Data Managers.
Selbstreferenzielles, hierarchisches Grid
Das React TreeGrid wurde entwickelt, um self-referential and hierarchical Daten in tabellarischer Form darzustellen. Es visualisiert die Beziehung zwischen Eltern- und Kinddatensätzen.
Flexible Bearbeitung
Das React TreeGrid unterstützt Create-, Read-, Update- und Delete-Operationen (CRUD) mit beobachtbaren Daten. Es bearbeitet Daten aus einem JSON-Array oder über einen entfernten Datenservice mithilfe des Data Managers.
Passt sich jeder Auflösung an
Das TreeGrid verfügt über ein hochgradig responsives Layout und ein optimiertes Design für Desktops, Touchscreens und Smartphones. Es funktioniert auf mobilen Geräten mit iOS, Android und Windows OS.
Eigene Template-Designs erstellen
Benutzer können im React TreeGrid eine benutzerdefinierte UI mithilfe einer großen Auswahl an Templates erstellen.
Attraktive, anpassbare Themes
Erstellen Sie moderne Designs mit integrierten Themes wie Fluent, Tailwind CSS, Bootstrap, Material und Fabric. Verwenden Sie das online Theme Studio, um Themes einfach anzupassen.
Globalisierung und Lokalisierung
Benutzer aus verschiedenen Regionen können das TreeGrid verwenden, indem Datum-, Währungs- und Zahlenformate an ihre Präferenzen angepasst werden.
React TreeGrid Codebeispiel
Starten Sie schnell mit dem React TreeGrid anhand weniger TSX-Zeilen, wie im folgenden Beispiel gezeigt. Entdecken Sie auch dieses React TreeGrid-Beispiel, das zeigt, wie man ein TreeGrid in React rendert und konfiguriert.
import { ColumnDirective, ColumnsDirective, TreeGridComponent } from '@syncfusion/ej2-react-treegrid';
import * as React from 'react';
import { sortData } from './data';
function App() {
return <TreeGridComponent dataSource={sortData} treeColumnIndex={1} childMapping='subtasks'>
<ColumnsDirective>
<ColumnDirective field='Category' headerText='Category' width='150'/>
<ColumnDirective field='orderName' headerText='Order Name' width='170'/>
<ColumnDirective field='orderDate' headerText='Order Date' width='130' format='yMd' textAlign='Right' type='date' />
<ColumnDirective field='price' headerText='Price' width='100' textAlign='Right' type='number' format='C0' />
</ColumnsDirective>
</TreeGridComponent>
};
export default App;
Skeleton-Ladeanzeige
Das TreeGrid zeigt während des Ladens und Bindens von Daten bei der anfänglichen Darstellung, beim Aktualisieren oder nach Grid-Aktionen wie Sortieren einen Ladeeffekt. Das TreeGrid bietet zwei Effekte: Spinner und Shimmer.
Spalten
Spalten definieren das Schema einer Datenquelle im React TreeGrid. Zu den Funktionen gehören Formatierung, Spaltendefinitionen, Zeilenumbruch, Spaltenauswahl, Spaltenmenü und Spaltenreihenfolge.


Paginierung
Über Paginierung kann ein Datenabschnitt aus der zugewiesenen Datenquelle betrachtet werden. Das React TreeGrid verfügt über eine integrierte Pager-UI mit Optionen zur vollständigen Anpassung. Es bietet außerdem einen On-Demand-Paging-Modus für eine effiziente Datenabfrage von entfernten Webdiensten.
Sortierung
Das React TreeGrid ermöglicht das Sortieren einer Spalte durch einen einfachen Klick auf die Kopfzeile. Ein Strg+Klick auf die Kopfzeile führt eine Mehrfachsortierung aus. Daten können auf- oder absteigend sortiert werden.


Filterung
Filterung hilft Benutzern, bestimmte oder verwandte Datensätze zu sehen, die den angegebenen Filterkriterien entsprechen. Die Komponente unterstützt verschiedene Filtertypen, darunter leistungsfähige, Excel-ähnliche Filter. Die Filter im React TreeGrid erlauben die Auswahl passender Filtertypen, das Definieren eigener Filterlogik und die Anpassung der Filter-UI. Filter können auch in Bezug auf zugehörige Eltern- oder Kinddatensätze definiert werden.
Auswahl
Das React TreeGrid ermöglicht das Auswählen von Zeilen oder Zellen. Eine oder mehrere Zeilen/Zellen können ebenfalls durch Gedrückthalten von Strg oder Command oder programmgesteuert ausgewählt werden.


Zeilen
Zeilen im TreeGrid repräsentieren die Informationen jedes Datenobjekts aus der Datenquelle. Es werden Funktionen wie Erweitern/Reduzieren von Kindzeilen, Neuanordnung von Zeilen, Einrücken/Ausrücken zur Änderung der Hierarchieebenen und viele weitere Features unterstützt.
Bearbeitung
Das React TreeGrid bietet volle Unterstützung für Create-, Read-, Update- und Delete-Operationen (CRUD). Zusätzlich zu integrierten Editor-Komponenten zum Bearbeiten einzelner Spaltenwerte können Benutzer benutzerdefinierte Editor-Komponenten mit Templates erstellen. Die Komponente führt Bearbeitungsoperationen mit einer JSON-Sammlung oder einem entfernten Datenservice mithilfe des Data Managers aus.


Zeilen per Drag & Drop
Das React TreeGrid erlaubt das Ziehen und Ablegen von Zeilen innerhalb desselben oder eines anderen TreeGrid. Diese Funktion ist hilfreich zum Umorganisieren von Daten und zur Schaffung einer intuitiveren Benutzererfahrung.
Aggregation
Aggregationen von Spaltenwerten können einfach mithilfe der Aggregate-Funktion angezeigt werden. Aggregationen lassen sich anpassen, um ihren Wert in jeder Hierarchieebene mit vordefinierten Summen-Typen darzustellen.

Gefrorene Spalten
Gefrorene Spalten sind links, rechts oder auf beiden Seiten des TreeGrid sichtbar und machen den verbleibenden Grid-Inhalt scrollbar. Sie werden hauptsächlich zum Vergleichen von Zellenwerten verwendet.
Suche
Sie können Datensätze mittels der Suchfunktion durchsuchen. Integrieren Sie ein Suchfeld in die Toolbar des React TreeGrid, indem Sie Such-Items hinzufügen.

Adaptives UI-Layout
Die Benutzeroberfläche des React TreeGrid wurde für optimale Darstellung und Bedienbarkeit auf kleinen Bildschirmen angepasst und neu gestaltet. Filter-, Such- und Bearbeitungsdialoge passen sich der Bildschirmgröße an.
Benutzerdefinierte Tooltips
Die React TreeGrid-Komponente ermöglicht das Setzen von Tooltips für TreeGrid-Zellen. Fahren Sie mit der Maus über Tree-Knoten, um Tooltip-Text anzuzeigen.


Fixierte Kopfzeilen
Halten Sie Spaltenköpfe beim Scrollen stets sichtbar. Fixierte Kopfzeilen verbessern die Bedienbarkeit, da sie konstanten Kontext bieten und das Interpretieren und Analysieren großer Datensätze erleichtern.
Exportieren

Excel-, PDF- und CSV-Export
Exportieren Sie das React TreeGrid einfach in Excel-, PDF- oder CSV-Formate. Benutzer können das exportierte Dokument auch programmgesteuert anpassen.

Benutzer können Daten entweder über die Druckoption in der Toolbar oder programmgesteuert drucken. Drucken Sie alle Zeilen eines React TreeGrid, unabhängig von der Seitenanzahl, oder drucken Sie nur die aktuell angezeigte Seite.
Weitere Funktionen

Zeilenhöhe
Die Zeilenhöhe ist ein wichtiger Faktor bei der Darstellung von Datensätzen im Viewport und lässt sich mühelos anpassen. Es ist auch möglich, Zeilenhöhen bedingt festzulegen.

In die Zwischenablage kopieren
Die Zwischenablage ermöglicht das Kopieren ausgewählter Zeilen- oder Zellendaten. Verwenden Sie Strg+C bzw. Strg+Shift+H, um Daten mit bzw. ohne Kopfzeilen zu kopieren.

Kontextmenü
Das Kontextmenü verbessert die Interaktion mit dem React TreeGrid durch ein Pop-up-Menü. Es erscheint beim Rechtsklick auf eine Zelle, Kopfzeile oder den Pager. Neben integrierten Standardmenüpunkten können benutzerdefinierte Menüeinträge hinzugefügt werden.

Breite und Höhe
Benutzer können die Größe des React TreeGrid durch Setzen der width- und height-Eigenschaften ändern. Horizontale und vertikale Scrollbars werden angezeigt, wenn der Inhalt das TreeGrid-Element überläuft. Damit das TreeGrid den übergeordneten Container vollständig ausfüllt, sollten height und width auf 100% gesetzt werden.

Gestapelte Kopfzeilen
Gestapelte Kopfzeilen ermöglichen es Benutzern, Spaltenüberschriften gruppiert darzustellen. Es gibt keine Begrenzung für die Anzahl der gestapelten Spalten. Alle React TreeGrid-Aktionen bleiben auch bei gestapelten Spalten verfügbar.
Barrierefreiheit

Tastaturnavigation
Das TreeGrid stellt sicher, dass jede Zelle per Tastatur zugänglich ist. Wichtige Funktionen wie Erweitern oder Reduzieren von Kindzeilen, Sortieren, Auswählen und Bearbeiten können ausschließlich über Tastaturbefehle ausgeführt werden; keine Mausinteraktion erforderlich. Dies unterstützt die Entwicklung hochzugänglicher Anwendungen mit dieser Komponente.

Screenreader
Das React TreeGrid bietet umfassende WAI-ARIA-Unterstützung. Die Benutzeroberfläche enthält hochkontrastige visuelle Elemente, die sehbehinderten Personen eine bessere Darstellung ermöglichen. Gültige UI-Beschreibungen sind zudem leicht über Assistenztechnologien wie Screenreader zugänglich.

Rechts-nach-Links (RTL)
Die Rechts-nach-Links-Darstellung ermöglicht es, Text und Layout des React TreeGrid von rechts nach links anzuzeigen. Dies verbessert die Benutzererfahrung und Zugänglichkeit für RTL-Sprachen.
Nicht sicher, wie Sie Ihr erstes React TreeGrid erstellen? Unsere Tutorial-Videos und Dokumentation helfen weiter.
Jetzt ansehen Jetzt lesenEntdecken Sie Syncfusions vollständiges React-Komponenten-Ökosystem
Entdecken Sie über 140+ React-UI-Komponenten mit bewährten, produktionsreifen Steuerelementen und den neuesten reinen React-Komponenten, die nativ für die moderne Web-App-Entwicklung erstellt wurden.
-
React-Komponenten
-
Reine React-Komponenten
-
SMARTE KOMPONENTENRASTERDROPDOWN-MENÜSEINGABENDATENVISUALISIERUNGNAVIGATIONSCHALTFLÄCHENINTERAKTIVER CHATBENACHRICHTIGUNGFORMULARE
-
RasterDatenvisualisierungNavigationSchaltflächenEingaben
Häufig gestellte Fragen
Warum sollten Sie sich für das Syncfusion® React TreeGrid entscheiden?
Das Syncfusion® React TreeGrid bietet die folgenden Vorteile:
Benutzer können große Datenmengen laden, indem sie untergeordnete Daten bei Bedarf dynamisch laden.
Enthält flexible UI-Interaktionen wie das Erweitern und Reduzieren von übergeordneten Datensätzen, Dialog-Bearbeitung und mehr.
Flexible Datenbindung mit Unterstützung für lokale und entfernte Datenquellen wie JSON, RESTful-Services, OData-Services und WCF-Services.
- Attraktive UI-Darstellung mit integrierten Themes wie Fabric, Bootstrap usw.
- Einfache Konfiguration und API.
- Unterstützung für alle modernen Browser.
Touch-freundliche und responsive Benutzeroberfläche.
Umfangreiche Lernressourcen wie Demos und Dokumentation ermöglichen einen schnellen Einstieg in das React TreeGrid.
Wo finde ich die Syncfusion® React TreeGrid-Demo?
Unsere React TreeGrid Demo zeigt, wie das TreeGrid gerendert und konfiguriert wird.
Kann ich das Syncfusion® React TreeGrid kostenlos herunterladen und nutzen?
Nein — es handelt sich um ein kommerzielles Produkt, das eine kostenpflichtige Lizenz erfordert. Es gibt jedoch eine kostenlose Community-Lizenz für Unternehmen und Einzelpersonen, deren Organisationen weniger als 1 Million USD Jahresumsatz haben und fünf oder weniger Entwickler beschäftigen.
Wie starte ich mit dem Syncfusion® React TreeGrid?
Ein guter Einstiegspunkt ist unsere ausführliche Dokumentation für den Einstieg.
Unsere Kunden lieben uns
Auszeichnungen
Viele behaupten, dass sie herausragend sind. Doch wenn andere das erkennen und loben, bedeutet es viel mehr. Syncfusion® präsentiert mit Stolz folgende Branchenauszeichnungen.

Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Überblick

Die Angular TreeGrid ist eine funktionsreiche Komponente zur effektiven Visualisierung selbstreferenzieller, hierarchischer Daten in tabellarischer Form (baumartige Struktur). Das umfangreiche Funktionsangebot umfasst Datenbindung, Virtualisierung, Bearbeitung, Sortierung, Suche, Filterung, unendliches Scrollen, Paginierung, gefrorene Zeilen und Spalten, Export in verschiedene Formate, Zeilenaggregation und mehr.


Warum Syncfusion Essential Studio® Angular Tree Grid wählen?

Angular Tree Grid High Performance image

Hohe Leistung

Hierarchische Datenanzeige: Das optimierte Design bietet hohe Performance und kann Millionen von Datensätzen laden – in nur wenigen Sekunden.

Angular Tree Grid Data Binding image

Nahtlose Datenbindung

Binden Sie Daten nahtlos an verschiedene lokale und entfernte Datenquellen wie JSON, OData, WCF und RESTful-Webservices mithilfe eines DataManagers.

Angular Tree Grid Hierarchical Grid image

Selbstreferenzielles, hierarchisches Grid

Das Angular TreeGrid wurde entwickelt, um selbstreferenzielle und hierarchische Daten tabellarisch darzustellen und die Beziehung zwischen Parent- und Child-Datensätzen sichtbar zu machen.

Angular Tree Grid Flexible Editing image

Flexible Bearbeitung

Das Angular Tree Grid unterstützt Create-, Read-, Update- und Delete-Operationen (CRUD) mit beobachtbaren Daten. Es kann sowohl mit JSON-Arrays als auch über entfernte Datenservices mittels DataManager bearbeiten.

Angular Tree Grid Adapts To Any Resolution image

Passt sich jeder Auflösung an

Das Tree Grid bietet ein hochgradig responsives Layout mit optimiertem Design für Desktop, Touchscreens und Smartphones. Es funktioniert zuverlässig auf Geräten mit iOS, Android oder Windows.

Angular Tree Grid Template Designs image

Eigene Template-Designs erstellen

Mit Templates können Anwender ein individuelles UI im Angular Tree Grid erstellen, das auf ihre Anwendung zugeschnitten ist. Es stehen zahlreiche Template-Optionen zur Verfügung.

Angular Tree Grid Customizable Themes image

Attraktive, anpassbare Themes

Modernes Design mit über fünf integrierten Themes wie Fluent, Tailwind CSS, Bootstrap, Material, Fabric und mehr. Nutzen Sie das online Theme Studio, um Themes des Angular Tree Grid einfach anzupassen.

Angular Tree Grid Global Local image

Globalisierung und Lokalisierung

Ermöglicht Nutzern aus verschiedenen Regionen die Nutzung des Tree Grid durch Formatierung von Datum, Währung und Zahlen gemäß ihren Einstellungen.


Angular Tree Grid – Codebeispiel

Starten Sie schnell mit dem Angular Tree Grid (Tree Table) anhand weniger Zeilen HTML- und TS-Beispielcode, wie unten gezeigt. Erkunden Sie auch unser Angular Tree Grid-Beispiel, das zeigt, wie man ein Tree Grid in Angular rendert und konfiguriert.

<ejs-treegrid [dataSource]='data' [treeColumnIndex]='1' height='350' childMapping='subtasks'>
<e-columns>
<e-column field='taskID' headerText='Task ID' textAlign='Right' width=90></e-column>
<e-column field='taskName' headerText='Task Name' textAlign='Left' width=180></e-column>
<e-column field='startDate' headerText='Start Date' textAlign='Right' format='yMd' width=90><e-column>
<e-column field='duration' headerText='Duration' textAlign='Right' width=80></e-column>
</e-columns>
</ejs-treegrid>
import { Component, OnInit } from '@angular/core';
import { sampleData } from './datasource';

@Component({
    selector: 'ej2-treegrid-container',
    templateUrl: 'default.html'
})
export class DefaultComponent implements OnInit {
    public data: Object[] = [];

    ngOnInit(): void {
        this.data = sampleData;
    }
}

Skeleton-Ladeindikator

Das Tree Grid zeigt während des Ladens und Bindens der Daten einen Shimmer-Effekt. Die Komponente bietet zwei Arten von Ladeeffekten: Spinner und Shimmer.

Angular Tree Grid mit Skeleton-Ladeindikator.


Angular Tree Grid mit Spaltenanpassung.

Spalten

Spalten definieren das Schema einer Datenquelle im Angular Tree Grid. Zu den Features zählen Formatierung, Spaltendefinitionen, Textumbruch, Spaltenauswahl, Spaltenmenü, Spaltenreihenfolge und weitere wichtige Funktionen.


Paginierung

Über die Paginierung kann ein Abschnitt der Datenquelle angezeigt werden. Das Angular Tree Grid bietet eine eingebaute Pager-UI mit Anpassungsoptionen und unterstützt einen On-Demand-Paging-Modus für effiziente Abfragen entfernter Webservices.

Paginierung im Angular Tree Grid.


Sortierung im Angular Tree Grid.

Sortierung

Das Angular Tree Grid ermöglicht das Sortieren einer Spalte durch Klick auf die Kopfzeile. Mit Strg + Klick auf die Kopfzeile wird Mehrfachsortierung ausgeführt. Sortieren Sie Daten auf- oder absteigend.


Filterung

Filterung hilft, bestimmte oder zusammenhängende Datensätze anzuzeigen, die einem Kriterium entsprechen. Es werden verschiedene Filtertypen unterstützt, einschließlich mächtiger Excel-ähnlicher Filter. Nutzer können Filtertypen wählen, eigene Filterlogik definieren und die Filter-UI anpassen. Filterung kann auch in Verbindung mit Parent- oder Child-Datensätzen verwendet werden.

Filterung im Angular Tree Grid.


Auswahl in Angular Tree Grid.

Auswahl

Das Angular Tree Grid ermöglicht die Auswahl von Zeilen oder Zellen. Eine oder mehrere Zeilen/Zellen können durch Halten von Strg/Command oder programmatisch ausgewählt werden.


Angular TreeGrid Bearbeitung.

Bearbeitung

Das Angular TreeGrid bietet vollständige Unterstützung für Create-, Read-, Update- und Delete-Operationen (CRUD). Neben integrierten Editor-Komponenten können Benutzer mit Templates eigene Editor-Komponenten erstellen. Die Bearbeitung kann mit einer JSON-Sammlung oder über entfernte Datenservices mithilfe des DataManagers erfolgen.


Drag & Drop von Zeilen

Das Angular TreeGrid ermöglicht Drag & Drop von Zeilen innerhalb desselben oder eines anderen Tree Grid. Diese Funktion ist nützlich, um Daten neu zu organisieren und die Benutzerführung zu verbessern.

Drag & Drop von Zeilen im Angular Tree Grid.


Aggregation im Angular Tree Grid.

Aggregation

Aggregationen von Spaltenwerten lassen sich mit der Aggregatfunktion anzeigen und für jede Hierarchieebene mit vordefinierten Summentypen anpassen.


Gefrorene Spalten

Gefrorene Spalten sind links, rechts oder beidseitig sichtbar und lassen den übrigen Grid-Inhalt scrollbar. Sie werden hauptsächlich zum Vergleichen von Zellwerten verwendet.

Angular Tree Grid Freeze image


Angular TreeGrid mit Suche.

Suche

Sie können Datensätze über die Suchmethode finden. Integrieren Sie ein Suchfeld in die Toolbar des Angular TreeGrid, indem Sie Such-Items hinzufügen.


Benutzerdefinierte Tooltips

Die Angular TreeGrid-Komponente erlaubt das Setzen von Tooltips für TreeGrid-Zellen. Bewegen Sie den Mauszeiger über Baumknoten, um Tooltip-Text anzuzeigen.

Angular TreeGrid mit Tooltip.


Angular TreeGrid mit sticky Header

Sticky Headers

Behalten Sie die Spaltenköpfe beim Scrollen durch Daten immer im Blick. Der sticky Header verbessert die Benutzerfreundlichkeit, indem er einen konstanten Kontext bietet und so das Interpretieren und Analysieren großer Datensätze erleichtert.


Export

Export nach PDF, CSV und Excel im Angular Tree Grid.

Excel, PDF, CSV-Export

Exportieren Sie das Tree Grid in verschiedene Dateiformate wie Excel, PDF oder CSV. Benutzer können das exportierte Dokument zudem programmatisch anpassen.

Drucken im Angular Tree Grid.

Drucken

Benutzer können Daten über die Druckoption in der Toolbar oder programmatisch drucken. Drucken Sie alle Zeilen eines Angular Tree Grid unabhängig von der Seitenanzahl oder nur die aktuell angezeigte Seite.


Zusätzliche Funktionen

Zeilenhöhe im Angular Tree Grid.

Zeilenhöhe

Die Zeilenhöhe beeinflusst, wie viele Datensätze im Viewport sichtbar sind, und lässt sich mühelos an UI-Anforderungen anpassen. Es ist ebenfalls möglich, die Zeilenhöhe bedingt festzulegen.

Kopieren in die Zwischenablage im Angular Tree Grid.

Kopieren in die Zwischenablage

Die Zwischenablage ermöglicht das Kopieren ausgewählter Zeilen- oder Zellendaten. Verwenden Sie Strg+C bzw. Strg+Shift+H, um Daten mit bzw. ohne Kopfzeilen zu kopieren.

Kontextmenü im Angular Tree Grid.

Kontextmenü

Das Kontextmenü verbessert Benutzeraktionen per Popup-Menü. Es erscheint beim Rechtsklick auf Zellen, Kopfzeilen oder Pager. Neben Standardeinträgen können benutzerdefinierte Menüpunkte hinzugefügt werden.

Breite und Höhe im Angular Tree Grid.

Breite und Höhe

Ändern Sie die Größe des Angular Tree Grid über die Breiten- und Höhen-Eigenschaften. Scrollleisten erscheinen bei Überlauf. Um das Tree Grid vollständig an den Parent-Container anzupassen, setzen Sie Höhe und Breite auf 100%.

Gestapelte Kopfzeilen im Angular Tree Grid.

Gestapelte Kopfzeilen

Gestapelte Kopfzeilen erlauben das Gruppieren und Visualisieren von Spaltenüberschriften in gestapelter Form. Es gibt keine Begrenzung für die Anzahl stapelbarer Spalten. Nutzer können alle TreeGrid-Aktionen auch bei gestapelten Spalten ausführen.


Zugänglichkeit

Tastaturnavigation im Angular Tree Grid.

Tastaturnavigation

Das Tree Grid stellt sicher, dass jede Zelle per Tastatur zugänglich ist. Wichtige Funktionen wie Auf-/Zuklappen von Child-Zeilen, Sortieren, Auswählen und Bearbeiten lassen sich ausschließlich per Tastatur steuern; keine Maus ist erforderlich. Dies unterstützt die Erstellung barrierefreier Anwendungen.

Bildschirmleser-Unterstützung im Angular Tree Grid.

Bildschirmleser

Das Angular Tree Grid bietet umfassenden WAI-ARIA-Support. Die UI enthält hochkontrastige visuelle Elemente, die sehbehinderten Nutzern eine bessere Darstellung ermöglichen. UI-Beschreibungen sind über Hilfstechnologien wie Bildschirmleser leicht zugänglich.

RTL-Unterstützung im Angular Tree Grid.

Right-to-Left-Rendering ermöglicht die Anzeige von Text und Layout des Tree Grid von rechts nach links und verbessert so die Nutzererfahrung für RTL-Sprachen.


Unterstützte Angular-Versionen

Das Angular Tree Grid wird kontinuierlich aktualisiert und ist mit Angular-Versionen ab 4 bis zur aktuellen Version kompatibel.

Angular Tree Grid Versionskompatibilität.





Andere unterstützte Frameworks

Das Tree Grid ist ebenfalls für Blazor, React, JavaScript und Vue verfügbar. Entdecken Sie die plattformspezifischen Optionen über die folgenden Links:

Unterstützte Browser

Das Angular Tree Grid funktioniert in allen modernen Webbrowsern, einschließlich Chrome, Firefox, Edge, Safari und Opera.

Unterstützte Browser im Angular Tree Grid.

140+ Angular-UI-Komponenten

Häufig gestellte Fragen

  • Laden Sie große Datenmengen, indem Sie untergeordnete Daten bei Bedarf dynamisch laden (Virtualisierung).

  • Beinhaltet flexible UI-Interaktionen wie Auf-/Zuklappen von Parent-Datensätzen, Dialogbearbeitung und mehr.

  • Flexible Datenbindung mit Unterstützung für lokale und entfernte Datenquellen wie JSON, RESTful-Services und OData.

  • Eines der besten Angular Tree Grids auf dem Markt mit funktionsreicher UI.
  • Attraktive UI-Darstellung mit integrierten Themes wie Fabric, Bootstrap usw.
  • Einfache Konfiguration und API.
  • Unterstützt alle modernen Browser.
  • Mobil- und Touch-freundlich sowie responsive.
  • Umfangreiche Lernressourcen wie Demos, Dokumentation und Videos.

Sie finden unsere Angular Tree Grid-Demo, die zeigt, wie das TreeGrid gerendert und konfiguriert wird.

Nein, es handelt sich um ein kommerzielles Produkt und eine kostenpflichtige Lizenz ist erforderlich. Es steht jedoch eine kostenfreie Community-Lizenz für Unternehmen und Einzelpersonen mit weniger als 1 Mio. USD Jahresumsatz und bis zu fünf Entwicklern zur Verfügung.

Ein guter Einstiegspunkt ist unsere umfassende Getting-Started-Dokumentation.

Unsere Kunden lieben uns

Mit einem ausgezeichneten Toolset und einem großartigen Supportteam verkürzt Syncfusion® die Entwicklungszeit der Kunden.
Hier sind einige ihrer Erfahrungen.

Echte Erfolgsgeschichten ansehen

Entwickler auf der ganzen Welt vertrauen auf Syncfusions Essential Studio, um komplexe Projekte zu vereinfachen und die Auslieferung zu beschleunigen. Mit einer umfangreichen Bibliothek an UI-Steuerelementen, leistungsstarken SDKs und zuverlässigem Support hilft Essential Studio Teams, unternehmensreife Anwendungen mit Zuversicht zu erstellen.

Fallstudien erkunden


Von Benutzern auf der ganzen Welt bewertet

Transformieren Sie Ihre Apps – jetzt kostenlose Testversion laden da
Gratis-Testversion starten Keine Kreditkarte erforderlich.

Auszeichnungen

Viele behaupten, dass sie herausragend sind. Doch wenn andere das erkennen und loben, bedeutet es viel mehr. Syncfusion® präsentiert mit Stolz folgende Branchenauszeichnungen.

Up arrow icon